import { IAccountContactResponse } from "./IAccountContactResponse";
import { IAccountProfileResponse } from "./IAccountProfileResponse";
export interface IAccountResponse {
    id: string;
    name: string;
    lastname: string;
    fiscalcode: string;
    username: string;
    dateOfBirth: Date;
    lastLoginDate: Date;
    isActive: boolean;
    profiles: IAccountProfileResponse[];
    contacts: IAccountContactResponse[];
}
