import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { IPatientKitResponse } from "../DTOExam/Response/IPatientKitResponse";
import { IPatientKitRequest } from "../DTOExam/Request/IPatientKitRequest";
import * as i0 from "@angular/core";
export declare class ApiKitService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPatientKit(): Observable<IPatientKitResponse[]>;
    getPatientKitByParameters(id: string, patientId: string): Observable<IPatientKitResponse>;
    getPatientKitById(id: string): Observable<IPatientKitResponse>;
    getPatientKitByPatientId(patientId: string): Observable<IPatientKitResponse[]>;
    postPatientKit(patientKitRequest: IPatientKitRequest): Observable<string>;
    setPatientKit(id: string): Observable<boolean>;
    deletePatientKit(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiKitService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiKitService>;
}
