import { IDictionaryPriority } from "../Dictionary/IDictionaryPriority";
import { IDictionaryTypeRequest } from "../Dictionary/IDictionaryTypeRequest";
import { IDTOEpicrisis } from "../IDTOEpicrisis";
import { IDTOKey } from "../IDTOKey";
import { IOutcomeResponse } from "./IOutcomeResponse";
import { IStatusResponse } from "./IStatusResponse";
import { ISurveyResponse } from "./ISurveyResponse";
export interface IRequestResponse {
    key: IDTOKey;
    type: IDictionaryTypeRequest;
    status: IStatusResponse[];
    outcome: IOutcomeResponse;
    priority: IDictionaryPriority;
    epicrisi: IDTOEpicrisis;
    surveys: ISurveyResponse[];
    hubId: string;
    spokeId: string;
    departmentId: string;
    accountSpoke: string;
    date: Date;
}
