import { IDTOAddress } from "../IDTOAddress";
import { IDepartmentRequest } from "./IDepartmentRequest";
import { ITypeRequest } from "./ITypeRequest";
export interface IStructureRequest {
    id: string;
    name: string;
    code: string;
    latitude: string;
    longitude: string;
    isEnabled: boolean;
    isVisible: boolean;
    address: IDTOAddress;
    types: ITypeRequest[];
    departments: IDepartmentRequest[];
}
