import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IStructureResponse } from '../DTOStructure/Response/IStructureResponse';
import { IStructureRequest } from '../DTOStructure/Request/IStructureRequest';
import * as i0 from "@angular/core";
export declare class ApiStructureService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getStructures(): Observable<IStructureResponse[]>;
    getRequestById(id: string): Observable<IStructureResponse>;
    getStructureByDepartmentId(departmentId: string): Observable<IStructureResponse[]>;
    postStructure(structureRequest: IStructureRequest): Observable<string>;
    deleteStructure(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiStructureService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiStructureService>;
}
