import { IDictionaryIconDTO } from "../Dictionary/IDictionaryIconDTO";
import { IDictionaryTypeQuestionDTO } from "../Dictionary/IDictionaryTypeQuestionDTO";
import { IDictionaryTypeSurveyDTO } from "../Dictionary/IDictionaryTypeSurveyDTO";
import { IDictionaryAnswerResponse } from "./IDictionaryAnswerResponse";
import { IDictionaryStepResponse } from "./IDictionaryStepResponse";
export interface IDictionaryQuestionResponse {
    id: string;
    text: string | null;
    position: string | null;
    step: IDictionaryStepResponse;
    typeSurvey: IDictionaryTypeSurveyDTO;
    typeQuestion: IDictionaryTypeQuestionDTO;
    icon: IDictionaryIconDTO;
    answers: IDictionaryAnswerResponse[];
}
