import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDictionaryTypeQuestionDTO } from '../DTOSurvey/Dictionary/IDictionaryTypeQuestionDTO';
import { IDictionaryTypeSurveyDTO } from '../DTOSurvey/Dictionary/IDictionaryTypeSurveyDTO';
import { IDictionaryIconDTO } from '../DTOSurvey/Dictionary/IDictionaryIconDTO';
import * as i0 from "@angular/core";
export declare class ApiSurveyDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getTypeQuestions(): Observable<IDictionaryTypeQuestionDTO[]>;
    getTypeQuestionById(id: number): Observable<IDictionaryTypeQuestionDTO>;
    getTypeSurveys(): Observable<IDictionaryTypeQuestionDTO[]>;
    getTypeSurveyById(id: number): Observable<IDictionaryTypeSurveyDTO>;
    getIcons(): Observable<IDictionaryIconDTO[]>;
    getIconById(id: number): Observable<IDictionaryIconDTO>;
    postTypeQuestion(dictionaryTypeQuestion: IDictionaryTypeQuestionDTO): Observable<number>;
    postTypeSurvey(dictionarySurveyQuestion: IDictionaryTypeSurveyDTO): Observable<number>;
    postIcon(dictionaryIcon: IDictionaryIconDTO): Observable<number>;
    deleteTypeQuestion(id: number): Observable<boolean>;
    deleteTypeSurvey(id: number): Observable<boolean>;
    deleteIcon(id: number): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiSurveyDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiSurveyDictionaryService>;
}
