import * as AWS from 'aws-sdk';
import { IMinio } from './config.interface';
import * as i0 from "@angular/core";
export declare class MinioService {
    private config;
    private s3;
    bucketName: string;
    accessKeyId: string;
    secretAccessKey: string;
    constructor(config: IMinio);
    uploadFile(fileName: string, fileContent: any): Promise<AWS.S3.ManagedUpload.SendData>;
    getObject(fileName: string): Promise<AWS.S3.GetObjectOutput>;
    getAllObjectsInFolder(folderPath: string): Promise<Map<string, AWS.S3.GetObjectOutput>>;
    deleteObject(bucketName: string, fileName: string): Promise<AWS.S3.DeleteObjectOutput>;
    static ɵfac: i0.ɵɵFactoryDeclaration<MinioService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MinioService>;
}
