import { EventEmitter } from '@angular/core';
import { IDictionaryQuestionResponse } from '../../microservices/survey/DTOSurvey/Response/IDictionaryQuestionResponse';
import { IQuestionAnswer } from '../survey.component';
import { ApiSurveyService } from '../../../public-api';
import { IPatientSurveyResponse } from '../../microservices/survey/DTOSurvey/Response/IPatientSurveyResponse';
import * as i0 from "@angular/core";
export declare class SurveyRadioComponent {
    apiSurvey: ApiSurveyService;
    question: IDictionaryQuestionResponse | undefined;
    typeSurvey: number;
    patientSurvey: string;
    patientId: string | undefined;
    questionAnswer: EventEmitter<IQuestionAnswer>;
    filteredSurvey: IPatientSurveyResponse;
    questionAnswerObject: IQuestionAnswer;
    ngOnInit(): void;
    selectedValue(idQuestion: string | undefined, idAnswer: string | undefined): void;
    searchSurvey(surveyId: string): void;
    getMatchingAnswer(surveyId: string, answerId: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SurveyRadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SurveyRadioComponent, "lib-survey-radio", never, { "question": { "alias": "question"; "required": false; }; "typeSurvey": { "alias": "typeSurvey"; "required": false; }; "patientSurvey": { "alias": "patientSurvey"; "required": false; }; "patientId": { "alias": "patientId"; "required": false; }; }, { "questionAnswer": "questionAnswer"; }, never, never, true, never>;
}
