import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export interface IColumn {
    field: string;
    header: string;
}
export declare class BasicTableComponent {
    router: Router;
    columns: IColumn[];
    data: any[];
    rows: number;
    detailRoute: string;
    actions: Record<string, (rowData: any) => void>;
    first: number;
    faCircle: IconDefinition;
    faStroopwafel: IconDefinition;
    isDateColumn(value: any): boolean;
    isIconColumn(columnField: string): boolean;
    navigateRoute(id: number): void;
    pageChange(event: any): void;
    get tableData(): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<BasicTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BasicTableComponent, "lib-basic-table", never, { "columns": { "alias": "columns"; "required": false; }; "data": { "alias": "data"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "detailRoute": { "alias": "detailRoute"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; }, {}, never, never, true, never>;
}
