import { IDictionaryVitalSign } from "../Dictionary/IDictionaryVitalSign";
import { IDictionaryRecurrencyResponse } from "./IDictionaryRecurrencyResponse";
import { IExamValueResponse } from "./IExamValueResponse";
export interface IPatientExamResponse {
    id: string;
    patientId: string;
    vitalSign: IDictionaryVitalSign;
    startDate: Date;
    endDate: Date;
    annotation: string | null;
    accountProfileId: string;
    telephone: string | null;
    email: string | null;
    toDo: boolean;
    values: IExamValueResponse[] | null;
    recurrency: IDictionaryRecurrencyResponse;
}
