import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IPatientAppointmentResponse } from '../DTOExam/Response/IPatientAppointmentResponse';
import { IPatientAppointmentRequest } from '../DTOExam/Request/IPatientAppointmentRequest';
import * as i0 from "@angular/core";
export declare class ApiExamAppointmentService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getPatientAppointments(): Observable<IPatientAppointmentResponse[]>;
    getPatientAppointmentByParameters(patientId: string | "", accountProfileId: string | "", structureDepartmentId: string | "", typeId: number | ""): Observable<IPatientAppointmentResponse[]>;
    getPatientAppointmentById(id: string): Observable<IPatientAppointmentResponse>;
    getPatientAppointmentByPatientId(patientId: string): Observable<IPatientAppointmentResponse>;
    getPatientAppointmentByAccountProfileId(accountProfileId: string): Observable<IPatientAppointmentResponse>;
    getPatientAppointmentByStructureDepartmentId(structureDepartmentId: string): Observable<IPatientAppointmentResponse>;
    getPatientAppointmentByTypeId(typeId: string): Observable<IPatientAppointmentResponse>;
    postPatientAppointment(patientAppointmentRequest: IPatientAppointmentRequest): Observable<string>;
    deletePatientAppointment(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiExamAppointmentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiExamAppointmentService>;
}
