import { ICaregiverDTO } from "../ICaregiverDTO";
import { ITargetDTO } from "../ITargetDTO";
import { IAddressRequest } from "./IAddressRequest";
import { IContactsRequest } from "./IContactRequest";
import { IDoctorRequest } from "./IDoctorRequest";
import { IIdentifierRequest } from "./IIdentifierRequest";
import { ISettingRequest } from "./ISettingRequest";
export interface IPatientRequest {
    id?: string;
    name?: string;
    lastname?: string;
    gender?: string;
    birthDate?: Date;
    doctors?: IDoctorRequest[];
    contacts?: IContactsRequest[];
    identifiers?: IIdentifierRequest[];
    addresses?: IAddressRequest[];
    settings?: ISettingRequest[];
    caregiver?: ICaregiverDTO;
    targets?: ITargetDTO[];
}
