import { ITargetDTO } from "../ITargetDTO";
import { ICaregiverDTO } from "../ICaregiverDTO";
import { IAddressResponse } from "./IAddressResponse";
import { IContactResponse } from "./IContactResponse";
import { IDoctorResponse } from "./IDoctorResponse";
import { IIdentifierResponse } from "./IIdentifierResponse";
import { ISettingResponse } from "./ISettingResponse";
export interface IPatientResponse {
    id: string;
    name: string;
    lastname: string;
    gender: string;
    birthDate: Date;
    inBed?: boolean;
    doctors: IDoctorResponse[];
    contacts: IContactResponse[];
    identifiers: IIdentifierResponse[];
    addresses?: IAddressResponse[];
    settings: ISettingResponse[];
    caregiver: ICaregiverDTO;
    targets: ITargetDTO[];
    createDate: Date;
}
