import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IDepartmentResponse } from '../DTOStructure/Response/IDepartmentResponse';
import { IDepartmentRequest } from '../DTOStructure/Request/IDepartmentRequest';
import { IDictionaryTypeStructure } from '../DTOStructure/Dictionary/IDictionaryTypeStructure';
import * as i0 from "@angular/core";
export declare class ApiStructureDictionaryService {
    constructor();
    http: HttpClient;
    endpoint: string;
    getDepartments(): Observable<IDepartmentResponse[]>;
    getDepartmentById(id: string): Observable<IDepartmentResponse>;
    getTypesStructure(): Observable<IDictionaryTypeStructure[]>;
    getTypeStructureById(id: string): Observable<IDictionaryTypeStructure>;
    postDepartment(departmentRequest: IDepartmentRequest): Observable<string>;
    postTypeStructure(typeStructureRequest: IDictionaryTypeStructure): Observable<string>;
    deleteDepartment(id: string): Observable<boolean>;
    deleteTypeStructure(id: string): Observable<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiStructureDictionaryService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiStructureDictionaryService>;
}
