import { EventEmitter } from '@angular/core';
import { Router } from '@angular/router';
import { Table } from 'primeng/table';
import { IconDefinition } from '@fortawesome/fontawesome-svg-core';
import { IColumn } from '../basic-table/basic-table.component';
import { SortEvent } from 'primeng/api';
import * as i0 from "@angular/core";
export declare class SortableTableComponent {
    router: Router;
    columns: IColumn[];
    data: any[];
    rows: number;
    detailRoute: string;
    actions: Record<string, (rowData: any) => void>;
    colorPicker: (rowData: any, field: string) => string;
    selected: any[];
    tableCheckbox: string;
    selectionChange: EventEmitter<any[]>;
    resetData: EventEmitter<void>;
    first: number;
    faCircle: IconDefinition;
    faStroopwafel: IconDefinition;
    faMagnifyingGlass: IconDefinition;
    selectedData: any[];
    isDateColumn(value: any): boolean;
    isIconColumn(columnField: string): boolean;
    navigateRoute(id: number): void;
    pageChange(event: any): void;
    dt: Table;
    initialValue: any[];
    isSorted: boolean | null;
    currentSortedField: string | null;
    ngOnInit(): void;
    customSort(event: SortEvent): void;
    sortTableData(event: SortEvent): void;
    onRowSelect(): void;
    clearSelection(): void;
    hasMagnifyingGlassIcon(field: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SortableTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SortableTableComponent, "lib-sortable-table", never, { "columns": { "alias": "columns"; "required": false; }; "data": { "alias": "data"; "required": false; }; "rows": { "alias": "rows"; "required": false; }; "detailRoute": { "alias": "detailRoute"; "required": false; }; "actions": { "alias": "actions"; "required": false; }; "colorPicker": { "alias": "colorPicker"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "tableCheckbox": { "alias": "tableCheckbox"; "required": false; }; }, { "selectionChange": "selectionChange"; "resetData": "resetData"; }, never, never, true, never>;
}
