import { EventEmitter } from '@angular/core';
import { IDictionaryQuestionResponse } from '../../microservices/survey/DTOSurvey/Response/IDictionaryQuestionResponse';
import { IQuestionAnswer } from '../survey.component';
import { ISurveyResponse } from '../../microservices/request/DTORequest/Response/ISurveyResponse';
import * as i0 from "@angular/core";
export declare class SurveyValueboxComponent {
    question: IDictionaryQuestionResponse | undefined;
    typeSurvey: number;
    indexQuestion: number;
    patientSurvey: ISurveyResponse;
    sumOutput: EventEmitter<any>;
    questionAnswer: EventEmitter<IQuestionAnswer>;
    sum: number;
    selectedValues: {
        [key: number]: number | string;
    };
    questionAnswerObject: IQuestionAnswer;
    sumValue(valueSelected: number, groupIndex: number, idQuestion: string | undefined, idAnswer: string | undefined): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SurveyValueboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SurveyValueboxComponent, "lib-survey-valuebox", never, { "question": { "alias": "question"; "required": false; }; "typeSurvey": { "alias": "typeSurvey"; "required": false; }; "indexQuestion": { "alias": "indexQuestion"; "required": false; }; "patientSurvey": { "alias": "patientSurvey"; "required": false; }; }, { "sumOutput": "sumOutput"; "questionAnswer": "questionAnswer"; }, never, never, true, never>;
}
