import { EventEmitter } from '@angular/core';
import { IDictionaryQuestionResponse } from '../microservices/survey/DTOSurvey/Response/IDictionaryQuestionResponse';
import * as i0 from "@angular/core";
export interface IQuestionAnswer {
    idQuestion: string | undefined;
    idAnswer: string | undefined;
    idTypeSurvey: number;
}
export declare class SurveyComponent {
    questionList: IDictionaryQuestionResponse[];
    typeSurvey: number;
    patientSurvey: string;
    sumOutput: EventEmitter<any>;
    questionAnswer: EventEmitter<IQuestionAnswer>;
    ngOnInit(): void;
    onSumOutputReceived(sum: any): void;
    onQuestionAnswerReceived(object: IQuestionAnswer): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SurveyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SurveyComponent, "lib-survey", never, { "questionList": { "alias": "questionList"; "required": false; }; "typeSurvey": { "alias": "typeSurvey"; "required": false; }; "patientSurvey": { "alias": "patientSurvey"; "required": false; }; }, { "sumOutput": "sumOutput"; "questionAnswer": "questionAnswer"; }, never, never, true, never>;
}
